import { Game } from "..";

export abstract class System {
  public readonly name: string;

  constructor(name: string) {
    this.name = name;
  }

  abstract update(dt: number, game: Game): void;
}
