import { Component, ComponentNames } from ".";

export class Text extends Component {
  public text: string = "";
  public fillStyle: string;
  public font: string;
  public textAlign: CanvasTextAlign;

  constructor(
    text: string,
    fillStyle = "white",
    font = "25px scientifica",
    textAlign: CanvasTextAlign = "center",
  ) {
    super(ComponentNames.Text);

    this.text = text;
    this.fillStyle = fillStyle;
    this.font = font;
    this.textAlign = textAlign;
  }
}
